%define upstream_name    Template-Plugin-JSON
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Adds a .json vmethod for all TT values
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON) >= 2.120.0
BuildRequires: perl(Moose)
BuildRequires: perl(Template) >= 2.200.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This plugin provides a '.json' vmethod to all value types when loaded. You
can also decode a json string back to a data structure.

It will load the the JSON manpage module (you probably want the JSON::XS
manpage installed for automatic speed ups).

Any options on the USE line are passed through to the JSON object, much
like the JSON/to_json manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-2.mga6
+ Revision: 1033900
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.70.0-1.mga6
+ Revision: 919526
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 746006
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686343
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 514889
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 373156
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.60.0-1.mga3
+ Revision: 335062
- imported package perl-Template-Plugin-JSON


* Tue Dec 25 2012 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
